Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlQuad Class Reference
GlEntities

Utility class to render a quadrilateral . More...

`#include <GlQuad.h>`

Inheritance diagram for tlp::GlQuad:
[legend]
Collaboration diagram for tlp::GlQuad:
[legend]

List of all members.

## Public Member Functions

- GlQuad ()
- GlQuad (const Coord &p1, const Coord &p2, const Coord &p3, const Coord &p4, const Color &color)
- GlQuad (const Coord &p1, const Coord &p2, const Coord &p3, const Coord &p4, const Color &c1, const Color &c2, const Color &c3, const Color &c4)
- _DEPRECATED GlQuad (const Coord positions[4], const Color &color)
- _DEPRECATED GlQuad (const Coord positions[4], const Color colors[4])
- virtual ~GlQuad ()
- void setPosition (const int idPosition, const Coord &position)
- void setColor (const int idColor, const Color &color)
- void setColor (const Color &color)
- const Coord & getPosition (const int idPosition) const
- const Color & getColor (const int idColor) const
- virtual void getXML (xmlNodePtr rootNode)
- virtual void setWithXML (xmlNodePtr rootNode)

## Detailed Description

Utility class to render a quadrilateral .

This is an utility class class for rendering a quadrilateral.

## Constructor & Destructor Documentation

tlp::GlQuad::GlQuad | ( |  | ) |

Constructor

tlp::GlQuad::GlQuad | ( | const Coord & | p1,
|  | const Coord & | p2,
|  | const Coord & | p3,
|  | const Coord & | p4,
|  | const Color & | color
| ) |  |

Constructor

Initializes a quadrilateral with 4 points winding in clockwise order and a single color.

Parameters:

  p1 | the first quad vertex
  p2 | the second quad vertex
  p3 | the third quad vertex
  p4 | the fourth quad vertex
  color | A single color indicating the color for every point of the quadrilateral.

tlp::GlQuad::GlQuad | ( | const Coord & | p1,
|  | const Coord & | p2,
|  | const Coord & | p3,
|  | const Coord & | p4,
|  | const Color & | c1,
|  | const Color & | c2,
|  | const Color & | c3,
|  | const Color & | c4
| ) |  |

_DEPRECATED tlp::GlQuad::GlQuad | ( | const Coord | positions[4],
|  | const Color & | color
| ) |  |

Constructor

Parameters:

  positions | Array indicating the position of the points. The first point is the top-left one. The next points are winding in clockwise order.
  color | A single color indicating the color for every point of the Quad.

_DEPRECATED tlp::GlQuad::GlQuad | ( | const Coord | positions[4],
|  | const Color | colors[4]
| ) |  |

Constructor

Parameters:

  positions | Array indicating the position of the points. The first point is the top-left one. The next points are winding in clockwise order.
  colors | Array indicating the color of the points. The order is the same as for the positions.

virtual tlp::GlQuad::~GlQuad | ( |  | ) | `[virtual]`

Destructor

## Member Function Documentation

const Color& tlp::GlQuad::getColor | ( | const int | idColor | ) | const

Accessor in reading to the color.

Parameters:

  idColor | Indicates which point we want to get the color.

const Coord& tlp::GlQuad::getPosition | ( | const int | idPosition | ) | const

Accessor in reading to the position.

Parameters:

  idPosition | Indicates which point we want to get the position.

virtual void tlp::GlQuad::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Function to export data in XML

Reimplemented from tlp::GlAbstractPolygon.

void tlp::GlQuad::setColor | ( | const int | idColor,
|  | const Color & | color
| ) |  |

Accessor in writing to the color.

Parameters:

  idColor | Indicates which point we want to colorize.

void tlp::GlQuad::setColor | ( | const Color & | color | ) |

Accessor in writing to the basic color of GlAugmentedDisplay

void tlp::GlQuad::setPosition | ( | const int | idPosition,
|  | const Coord & | position
| ) |  |

Accessor in writing to the position.

Parameters:

  idPosition | Indicates which point we want to move.

virtual void tlp::GlQuad::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Function to set data with XML

Reimplemented from tlp::GlAbstractPolygon.

Tulip Software by LaBRI Visualization Team 2001 - 2012